MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027514Community[OCCT] OCCT:Configurationpublic2016-05-18 15:032016-12-09 16:38
ReporterTimo 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027514: Configuration, CMake - relative paths are not correctly handled for INSTALL_DIR
DescriptionWhen using relative paths for INSTALL_DIR, a Problem occurs if the relative path starts with double or more "..", e.g. "../../occ-install".

You can see in the install_manifest.txt that the relative path is added twice for Header and resource files, but only once for binaries. In this way, two install directories are created at different places, each one containing only a part of the files.

E.g.:

...win32-vc10/../../occ-install/../../occ-install/LICENSE_LGPL_21.txt
...
...win32-vc10/../occ-install/win32/vc10/bin/TKernel.dll
Steps To Reproduce- Use "../../occ-install" for the INSTALL_DIR variable
- Compile the Install Project
- try to start Draw in the install directory
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0055000)
git (administrator)
2016-06-15 12:30

Branch CR27514 has been created by ski.

SHA-1: 9333cd165f568cb2636fe3e12eabcda4d6d5d55e


Detailed log of new commits:

Author: ski
Date: Wed Jun 15 12:29:47 2016 +0300

    0027514: Configuration, CMake - relative paths are not correctly handled for INSTALL_DIR
    
    Relative path can be used as INSTALL_DIR.
(0055010)
ski (developer)
2016-06-15 14:08

Dear ibs,

please review occt branch CR27514,
it is possible now to set INSTALL_DIR as relative path to CMAKE_BINARY_DIR.

CMake procedure "install" takes given relative path and concatinate it with CMAKE_INSTALL_PREFIX variable during installation.
(0058145)
ibs (developer)
2016-09-26 11:24

there are no remarks
(0059248)
apn (administrator)
2016-10-27 13:10

Installation procedure was checked. It works correct with relative paths.
(0059249)
git (administrator)
2016-10-27 13:18

Branch CR27514 has been updated forcibly by inv.

SHA-1: 6e334e79ec22fe06c6eb321b9bf01f9b50d3b7c5
(0059405)
git (administrator)
2016-10-28 21:37

Branch CR27514 has been deleted by kgv.

SHA-1: 6e334e79ec22fe06c6eb321b9bf01f9b50d3b7c5

- Related Changesets
occt: master d26375e2
Timestamp: 2016-06-15 09:29:47
Author: ski
Committer: apn
Details ] Diff ]
0027514: Configuration, CMake - relative paths are not correctly handled for INSTALL_DIR

Relative path can be used as INSTALL_DIR.
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/freetype.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
mod - adm/cmake/tk.cmake Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]
mod - adm/templates/env.samples.bat.in Diff ] File ]
mod - adm/templates/env.samples.sh.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/01_Geometry/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/02_Modeling/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/08_HLR/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/09_Animation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/10_Convert/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-18 15:03 Timo New Issue
2016-05-18 15:03 Timo Assigned To => bugmaster
2016-05-25 10:30 bugmaster Assigned To bugmaster => ski
2016-05-25 10:30 bugmaster Status new => assigned
2016-06-15 12:30 git Note Added: 0055000
2016-06-15 14:08 ski Note Added: 0055010
2016-06-15 14:08 ski Assigned To ski => ibs
2016-06-15 14:08 ski Status assigned => resolved
2016-09-26 11:24 ibs Note Added: 0058145
2016-09-26 11:24 ibs Assigned To ibs => bugmaster
2016-09-26 11:24 ibs Status resolved => reviewed
2016-10-27 13:10 apn Note Added: 0059248
2016-10-27 13:18 git Note Added: 0059249
2016-10-27 14:09 apn Test case number => Not needed
2016-10-27 14:09 apn Status reviewed => tested
2016-10-28 14:35 apn Changeset attached => occt master d26375e2
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059405
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker